﻿@{
    ViewData["Title"] = "Films";
}
@model List<Movie>
    <h1 class="text-center">Films</h1>
    <a asp-controller="Movie" asp-action="Create" class="btn btn-sm btn-outline-secondary mt-4">Ajouter articles</a>
    <a asp-controller="Movie" asp-action="" class="btn btn-sm btn-outline-secondary mt-4 mx-3">>Export .csv</a>
    <table class="table">
        <thead>
            <tr>
                <th>Titre</th>
                <th>Durée</th>
                <th>Année</th>
                <th>Genre</th>
                <th>Nationalité</th>
                <th>Id Vidéo</th>
            </tr>
        </thead>
        <tbody>
           @foreach(Movie movie in Model)
           {
                <tr>
                    <td>@movie.TitleVf</td>
                    <td>@movie.Duration</td>
                    <td>@movie.ReleaseDate.Value.Year</td>
                    <td>@movie.Genre.Name</td>
                    <td>@movie.Nationality.Name</td>
                    <td>@movie.IdentVideo</td>
                    <td>
                        <a asp-controller="Movie" asp-action="Update" asp-route-id="@movie.Id" class="btn btn-primary btn-sm">Modifier</a>
                        <a asp-controller="Movie" asp-action="Delete" asp-route-id="@movie.Id" class="btn btn-danger btn-sm">  Supprimer</a>
                    </td>
                </tr>
            }
        </tbody>
    </table>
